org.keycloak.models.mongo.keycloak.entities

## Class MongoApplicationEntity

- java.lang.Object
- - org.keycloak.models.entities.AbstractIdentifiableEntity
  - - org.keycloak.models.entities.ClientEntity
    - - org.keycloak.models.entities.ApplicationEntity
      - - org.keycloak.models.mongo.keycloak.entities.MongoApplicationEntity

- All Implemented Interfaces:
    MongoEntity, MongoIdentifiableEntity

      @MongoCollection(collectionName="applications")
      @MongoIndex(fields={"realmId","name"},
                  unique=true)
      public class MongoApplicationEntity
      extends ApplicationEntity
      implements MongoIdentifiableEntity

  Author:
    Marek Posolda

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MongoApplicationEntity()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterRemove(MongoStoreInvocationContext context)` Lifecycle callback, which is called after removal of this object from Mongo.

    - ### Methods inherited from class org.keycloak.models.entities.ApplicationEntity

      `getBaseUrl, getDefaultRoles, getManagementUrl, isBearerOnly, isSurrogateAuthRequired, setBaseUrl, setBearerOnly, setDefaultRoles, setManagementUrl, setSurrogateAuthRequired`

    - ### Methods inherited from class org.keycloak.models.entities.ClientEntity

      `getAllowedClaimsMask, getName, getNotBefore, getRealmId, getRedirectUris, getScopeIds, getSecret, getWebOrigins, isEnabled, isFullScopeAllowed, isPublicClient, setAllowedClaimsMask, setEnabled, setFullScopeAllowed, setName, setNotBefore, setPublicClient, setRealmId, setRedirectUris, setScopeIds, setSecret, setWebOrigins`

    - ### Methods inherited from class org.keycloak.models.entities.AbstractIdentifiableEntity

      `equals, getId, hashCode, setId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.connections.mongo.api.MongoIdentifiableEntity

      `getId, setId`

- - ### Constructor Detail

    - #### MongoApplicationEntity

          public MongoApplicationEntity()

  - ### Method Detail

    - #### afterRemove

          public void afterRemove(MongoStoreInvocationContext context)

      Description copied from interface: `MongoIdentifiableEntity`
      Lifecycle callback, which is called after removal of this object from Mongo. It may be useful for triggering removal of wired objects.
      Specified by:
        `afterRemove` in interface `MongoIdentifiableEntity`

Copyright © 2014. All Rights Reserved.